Tiny Core Linux

Tiny Core Extensions => TCE Corepure64 => Topic started by: rightsknot on January 16, 2019, 10:46:21 PM

Title: freerdp dependency broken
Post by: rightsknot on January 16, 2019, 10:46:21 PM
It appears that freerdp need to be recompiled for the new libraries:

tc@duo:~$ cat /etc/os-release
NAME=TinyCore
VERSION="9.0"
ID=tinycore
VERSION_ID=9.0
PRETTY_NAME="TinyCoreLinux 9.0"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:tinycore:tinycore_linux:9.0"
HOME_URL="http://tinycorelinux.net/"
SUPPORT_URL="http://forum.tinycorelinux.net/"
BUG_REPORT_URL="http://forum.tinycorelinux.net/"
tc@duo:~$ xfreerdp
xfreerdp: error while loading shared libraries: libx265.so.68: cannot open shared object file: No such file or directory
tc@duo:~$ ls -la /usr/local/lib/libx265.so*
lrwxrwxrwx    1 root     root            41 Jan 16 14:51 /usr/local/lib/libx265.so -> /tmp/tcloop/x265/usr/local/lib/libx265.so
lrwxrwxrwx    1 root     root            45 Jan 16 14:51 /usr/local/lib/libx265.so.165 -> /tmp/tcloop/x265/usr/local/lib/libx265.so.165
Title: Re: freerdp dependency broken
Post by: Juanito on January 17, 2019, 12:55:37 AM
updated freerdp posted - not tested
Title: Re: freerdp dependency broken
Post by: uli on January 18, 2019, 02:44:11 AM
suspecting a libc version issue. I see an error /lib/libc.so.6 : version `GLIBC_2.28┬┤not found
Title: Re: freerdp dependency broken
Post by: Juanito on January 18, 2019, 03:17:29 AM
Ah - my mistake, I must have compiled it on tc-10.x in error
Title: Re: freerdp dependency broken
Post by: Juanito on January 18, 2019, 03:42:01 AM
reposted